Bug 238632 - [NEW PORT] net/google-cloud-sdk-app-engine-go: Google Cloud SDK App Engine Go Extensions
Summary: [NEW PORT] net/google-cloud-sdk-app-engine-go: Google Cloud SDK App Engine Go...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D19241
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-16 22:40 UTC by Dmitri Goutnik
Modified: 2019-08-03 23:55 UTC (History)
1 user (show)

See Also:


Attachments
patch file (5.87 KB, patch)
2019-06-16 22:40 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (5.85 KB, patch)
2019-06-29 12:34 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-06-16 22:40:49 UTC
Created attachment 205151 [details]
patch file

Google Cloud SDK contains tools and libraries that enable you to easily create
and manage resources on Google Cloud Platform, including App Engine, Compute
Engine, Cloud Storage, BigQuery, Cloud SQL, and Cloud DNS.

This port installs Google Cloud SDK "App Engine Go Extensions" component.

WWW: https://developers.google.com/cloud/sdk/

QA:
  portlint -ACN: OK
  poudriere testport: OK (120a, 120i, 112a)
Comment 1 Dmitri Goutnik freebsd_committer 2019-06-29 12:34:27 UTC
Created attachment 205412 [details]
patch file

Switch to USES=go after r505321
Comment 2 Yuri Victorovich freebsd_committer 2019-08-03 23:54:35 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-08-03 23:55:18 UTC
A commit references this bug:

Author: yuri
Date: Sat Aug  3 23:54:23 UTC 2019
New revision: 508038
URL: https://svnweb.freebsd.org/changeset/ports/508038

Log:
  New port: net/google-cloud-sdk-app-engine-go: Google Cloud SDK App Engine Go Extensions

  PR:		238632
  Submitted by:	Dmitri Goutnik <dg@syrec.org>

Changes:
  head/net/Makefile
  head/net/google-cloud-sdk-app-engine-go/
  head/net/google-cloud-sdk-app-engine-go/Makefile
  head/net/google-cloud-sdk-app-engine-go/distinfo
  head/net/google-cloud-sdk-app-engine-go/files/
  head/net/google-cloud-sdk-app-engine-go/files/app-engine-go.snapshot.json
  head/net/google-cloud-sdk-app-engine-go/pkg-descr